@import "common/basics";

body, #footer, #header{
	color: @text-color;
	background-color: @primary-bg;
	background-image:none;
}

.tableheader{
	font-weight: normal;
	color: white;
}

a{
	color: @link-color;
	&:hover{
		color: @link-hover-color; 
	}
	&:visited{
		color: @link-color;
		&:hover{
			color: @link-hover-color;
		}
	}
}

.yui-skin-sam{
	.yui-button{
		a, 
		button{
			.paddedButtonDefault;
		}
	}
	
	tr{
		&.yui-dt-odd{ 
			.tr-odd;
		}
		&.yui-dt-even{
			.tr-even;
		}
	}
	.yui-dt{
		th{
			.tableheader;
			a{
				.tableheader;
			}
		}
	}
	
	.yui-calcontainer{
		background-color:@input-bg;
		border:@input-border;
		
		.title{
			border-bottom:@primary-border;
			color:@text-color;
		}
	}
	
	.yui-calendar{
		.calhead{
			background: transparent;
		}
		.calheader{
			background: transparent;
		}
		
		.calweekdaycell{
			color: @text-color;
		}
		
		.calfoot{
			background-color: @secondary-bg;
		}
		
		.calrowhead,
		.calrowfoot{
			color: @disabled-text-color;
			
		}

		td.calcell{
			background-color: @secondary-bg;
			color: @text-color;
			border-color: @primary-border-color;
			&.today{
				a{
					background-color: @input-bg;
				}
			}

			&.oom{
				color: @disabled-text-color;
				background-color: @secondary-bg;
			}
		}
	}
	
}



input{
	.inputBase;
}

textarea, input, select{
	.inputBase;
	&.required{
		.inputBase;
	}
}

span.required_explanation{
	.inputBase;
}

button,
input[type="button"],
input[type="submit"]{
	.paddedButtonDefault;
}

.calendar_button {
	background-position: 0.45em;
}

textarea, select, input.txt, input[type="submit"]{
	border-radius: 3px;
}

.bz_row_odd{
	.tr-odd;
}
.bz_row_even{
	.tr-even;
}



.bz_alias_short_desc_container{
	background-color: @secondary-bg;
}

#attachment_table th, .bz_attach_footer, .bz_time_tracking_table th{
	background-color: @secondary-bg;
	color:@text-color;
}

.bz_comment_head, .bz_first_comment_head{
	background-color: @secondary-bg;
}

.tabs{
	td{
		background-color: @secondary-bg;
		border-color: @text-color;
		&.selected{
			background-color: @primary-bg;
		}
		&.spacer{
			background-color: @secondary-bg;
		}
	}
}

.yui-calcontainer .yui-cal-nav .yui-cal-nav-btn button{
	display:block;
	*display:inline-block;
	*overflow:visible;
	border:0;
	background-color:transparent;
	cursor:pointer
}
.yui-calendar .calbody a:hover{
	background:inherit
}

p#clear{
	clear:left;
	padding-top:10px
}

.bugfields{
	background-color: @secondary-bg;
	border: @primary-border;
}
